Subject: bug#48793: Make guix room available over matrix

From: Julien Lepiller <[email-masked]>
Date: Wed, 02 Jun 2021 17:50:05 -0400

I don't understand. There's #guix:matrix.org too, but it's not bridged to IRC.

Le 2 juin 2021 17:46:19 GMT-04:00, bo0od <[email-masked]> a écrit :
>I dont believe this will make libera.chat accept Tor connection for 
>registration or accessing their IRC rooms.
>
>guix should have matrix room within matrix (so as within IRC) not IRC 
>room accessed by matrix client.
>
>
>
>Julien Lepiller:
>> Hi BoOod,
>> 
>> You can use the bridge at #guix:libera.chat I think.
>> 
>> Le 2 juin 2021 14:42:47 GMT-04:00, bo0od <[email-masked]> a écrit :
>>> Hi There,
>>>
>>> I saw that guix shifted from freenode to libera (due to freenode
>>> incident), Well it turns that libera just another freenode when it
>>> comes
>>> to Anti-Tor/Anti-Privacy:
>>>
>>> https://github.com/Libera-Chat/libera-chat.github.io/issues/63
>>>
>>> Since Guix as well jumped under libera umbrella it has the same
>issue
>>> which no one can talk to guix irc room unless hes using clearnet IP
>or
>>> VPN ip then shift to Tor (long run to just talk about couple of
>issues
>>> with good privacy)
>>>
>>> As better alternative to whole IRC thing is to use Matrix and you
>can
>>> bridge the two rooms (matrix <-> IRC) with that no headache of
>>> registration and blocked connections...etc
>>>
>>> ThX!
>>